#!/bin/bash

# Create DBNet BUFR file from ATMS SDR files

# Get list of SDR files
sdr=(SATMS*.h5)
tdr=(TATMS*.h5)
geo=(GATMO*.h5)
num=${#sdr[*]}

# Create combined L1C file (atms.l1c)
for ((i = 0; i < num; i++)); do
  aapp_run.bash atms_sdr -g ${geo[$i]} ${sdr[$i]} ${tdr[$i]}
done
aapp_run.bash combine_1c SATMS*.l1c

# Create BUFR file (atms.bufr)
aapp_run.bash eccodes_encodebufr_1c -i atms.l1c ATMS

# Create DBNet BUFR file with GTS header
aapp_run.bash prepare_dbnet_bufr_for_gts atms.bufr

# Clean up
rm 0 atms.l1c atms.bufr prepare_dbnet_bufr_for_gts.filter SATMS*.l1c
