#!/bin/bash

# Create DBNet BUFR file from CrIS SDR files

# Get list of SDR files
sdr=(SCRIF*.h5)
geo=(GCRSO*.h5)
num=${#sdr[*]}

# Create combined L1C file (cris.l1c)
for ((i = 0; i < num; i++)); do
  aapp_run.bash cris_sdr -g ${geo[$i]} ${sdr[$i]}
done
aapp_run.bash combine_1c SCRIF*.l1c

# Select CrIS channels
aapp_run.bash cris_channels cris.l1c cris_selection.l1c

# Create BUFR file (cris_selection.bufr)
aapp_run.bash eccodes_encodebufr_1c -i cris_selection.l1c CRISFSR

# Create DBNet BUFR file with GTS header
aapp_run.bash prepare_dbnet_bufr_for_gts cris_selection.bufr

# Clean up
rm 0 cris.l1c cris_selection.l1c cris_selection.bufr prepare_dbnet_bufr_for_gts.filter SCRIF*.l1c
